/* (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * A server side TCP/IP socket server to listen for incoming connections.
 *
 * $Id: ServerServer.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SERVER_SERVER_HH_
#define _SERVER_SERVER_HH_

#include "Server.hh"
#include "Exceptions.hh"

namespace HTTPTunnel {

class ServerSideConfig;

class ServerServer : public Server {
public:
	// Construction/destruction
	ServerServer(ServerSideConfig* serverConfig) throw(TunnelError);
	virtual ~ServerServer();

protected:

};


}	// namespace

#endif

