/* (C) 2007 Richard Mills / The Linux Academy Ltd.
 *
 * Tunnel for testing interface.
 *
 * $Id: TestTunnel.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _TEST_TUNNEL_HH_
#define _TEST_TUNNEL_HH_

namespace HTTPTunnel {

class TestTunnel {
public:
	// Construction/destruction
	TestTunnel();
	virtual ~TestTunnel();

protected:

	/***********/
	/* Methods */
	/***********/

	// Move testing on
	virtual void nextTest(bool ok) = 0;

	// Inform controlling tunneler of our test results
	virtual void sendTestResults(void) = 0;

};


}	// namespace

#endif

